<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net9.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UserSecretsId>4082ec67-5a76-4239-b16a-4ab16e73b32a</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Azure.Communication.CallAutomation" Version="1.3.0" />
		<PackageReference Include="Azure.Communication.Identity" Version="1.3.1" />
		<PackageReference Include="Azure.Communication.Rooms" Version="1.1.1" />
		<PackageReference Include="Azure.Storage.Queues" Version="12.22.0" />
		<PackageReference Include="CompreFace.NET.Sdk" Version="1.0.2" />
		<PackageReference Include="Coravel" Version="6.0.2" />
		<PackageReference Include="Coravel.Mailer" Version="7.1.0" />
		<PackageReference Include="Microsoft.AspNetCore.Mvc.Razor.RuntimeCompilation" Version="8.0.14" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.2.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore" Version="9.0.1" />
		<PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="9.0.1" />
		<PackageReference Include="MimeKit" Version="4.9.0" />
		<PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
		<PackageReference Include="Npgsql.EntityFrameworkCore.PostgreSQL" Version="9.0.3" />
		<PackageReference Include="Syncfusion.DocIO.Net.Core" Version="28.2.12" />
		<PackageReference Include="Syncfusion.EJ2.AspNet.Core" Version="28.2.12" />
		<PackageReference Include="Syncfusion.EJ2.PdfViewer.AspNet.Core" Version="28.2.12" />
		<PackageReference Include="Syncfusion.Licensing" Version="28.2.12" />
		<PackageReference Include="System.Text.Json" Version="9.0.1" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\EnotaryoPH.Data\EnotaryoPH.Data.csproj" />
	</ItemGroup>

	<ItemGroup>
	  <Folder Include="wwwroot\lib\jquery.unobtrusive-ajax\" />
	  <Folder Include="wwwroot\lib\signalr\" />
	</ItemGroup>

	<Target Name="ParcelBuild" BeforeTargets="Build">
		<Exec Command="npm run build" />
	</Target>
</Project>
